const merge = require('webpack-merge');
const HtmlWebpackPlugin = require('html-webpack-plugin');
const common = require('../../webpack.config');
const devMode = process.env.NODE_ENV !== 'production';
// const inject = devMode ? "head" : "body";

const pages = [
    "index", // 首页
    "test"
], entry = {};

pages.forEach(pagename => {
    entry[pagename] = "/src/www/pages/" + pagename + "/script.js"
});

module.exports = merge(common, {
    entry,
    plugins: pages.map(pagename => new HtmlWebpackPlugin({
        filename: pagename + '.html',
        title: pagename,
        template: 'src/www/pages/' + pagename + '/' + pagename + '.htm',
        chunks: [pagename],
        minify: false,
        // inject,
    })),
    output: {
        filename: 'js/[name].js',
        publicPath: devMode ? '/' : '/static/index/'
    }
});